ClickDataInfo (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.commons.utils

## Class ClickDataInfo

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.commons.utils.ClickDataInfo

-     public class ClickDataInfo
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClickDataInfo.TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClickDataInfo(double x1, double y1, double x2, double y2)`
    `ClickDataInfo(int x, int y, int w, int h, String bbox)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBbox()`
    `int` | `getH()`
    `int` | `getLimit()`
    `int` | `getW()`
    `int` | `getX()`
    `double` | `getX1()`
    `double` | `getX2()`
    `int` | `getY()`
    `double` | `getY1()`
    `double` | `getY2()`
    `boolean` | `isBox()`
    `boolean` | `isHardQuery()`
    `boolean` | `isPoint()`
    `void` | `setBbox(String bbox)`
    `void` | `setH(int h)`
    `void` | `setLimit(int limit)`
    `void` | `setW(int w)`
    `void` | `setX(int x)`
    `void` | `setY(int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClickDataInfo

          public ClickDataInfo(int x,
                       int y,
                       int w,
                       int h,
                       String bbox)

    - #### ClickDataInfo

          public ClickDataInfo(double x1,
                       double y1,
                       double x2,
                       double y2)

      Parameters:
        `bbox2` -

  - ### Method Detail

    - #### getX

          public int getX()

    - #### setX

          public void setX(int x)

    - #### getY

          public int getY()

    - #### setY

          public void setY(int y)

    - #### getW

          public int getW()

    - #### setW

          public void setW(int w)

    - #### getH

          public int getH()

    - #### setH

          public void setH(int h)

    - #### getBbox

          public String getBbox()

    - #### setBbox

          public void setBbox(String bbox)

    - #### isPoint

          public boolean isPoint()

    - #### isBox

          public boolean isBox()

    - #### isHardQuery

          public boolean isHardQuery()

    - #### getX1

          public double getX1()

      Returns:
        the x1

    - #### getX2

          public double getX2()

      Returns:
        the x2

    - #### getY1

          public double getY1()

      Returns:
        the y1

    - #### getY2

          public double getY2()

      Returns:
        the y2

    - #### getLimit

          public int getLimit()

    - #### setLimit

          public void setLimit(int limit)

Copyright © 2014. All Rights Reserved.